#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCF,0xFE,0xCB,0xAB,0x3E,0x8E,0xB6,0xA9,0xFE,0x48,0xBC,0x16,
		0x1D,0xB7,0x02,0x87,0xA9,0xE3,0x26,0xF0,0x6F,0x90,0xDE,0x94,
		0xAC,0x31,0x09,0xDA,0x11,0xBB,0x37,0xE0,0x09,0x71,0x38,0x81,
		0x33,0x26,0xA9,0x6B,0x8F,0x98,0xC3,0xF2,0xF1,0x8A,0x95,0xBF,
		0xDD,0x76,0xE6,0xBC,0x1E,0x32,0xB2,0xA2,0x55,0xD9,0x1D,0x98,
		0xC9,0xB0,0x54,0xEB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
